using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.ObjectModel;

namespace LocalizeMe.ResourceTool.VSObjects
{
    class VSAttribute:VSObject
    {
        private Collection<string> _values;

        public Collection<string> Values
        {
            get
            {
                if (_values == null)
                    _values = new Collection<string>();
                return _values;
            }
        }

        public VSAttribute(string name,Collection<string> values)
        {
            this.Name = name;
            _values = values;
        }

        public VSAttribute(string name, string value)
        {
            this.Name = name;
            this.Values.Add(value);
        }
    }
}
