using System;
using System.Collections.Generic;
using System.Text;

namespace LocalizeMe
{

    public class ResourceItem
    {
        #region Variable prive

        private string _key;
        private object _value;
        private bool _modified;
        private object _oldvalue;

        #endregion

        #region Constructeurs

        public ResourceItem(string key, object value)
            : this()
        {
            this._key = key;
            this._value = value;
        }

        public ResourceItem()
        {
        }

        #endregion

        #region Proprits

        public bool Modified
        {
            get
            {
                return _modified;
            }
            set
            {
                _modified = value;
            }
        }

        public object Value
        {
            get
            {
                return _value;
            }
            set
            {
                _oldvalue = _value;
                _modified = true;
                _value = value;
            }
        }

        public string Key
        {
            get
            {
                return _key;
            }
            set
            {
                _key = value;
            }
        }

        #endregion

        #region Mthodes

        public void CancelChanges()
        {
            this.Value = _oldvalue;
            _modified = false;
        }

        #endregion

    }

}
